{ pkgs ? import <nixpkgs> {} }:
with pkgs.dockerTools;
let
  prometheusFromDockerHub = pullImage {
    imageName = "prom/prometheus";
    imageDigest = "sha256:f2fa04806b65f49b652c8d418544bb9660bb8224619ee8c960a778f46614dddf";
    sha256 = "sha256-nag9EOyEDN6zh7AW7W7QJQDPV5C58J5yesfF24/6/3k=";
    finalImageTag = "v2.36.2";
    finalImageName = "prometheus";
  };
in
{
  prometheus = buildImage {
    name = "registry.greenbaum.cloud/pub_solar/prometheus";
    tag = "v2.36.2";
    fromImage = prometheusFromDockerHub;
    contents = [ ./src ];
  };
}
