resource "triton_firewall_rule" "www" {
  description = "Allow web traffic on ports tcp/80 and tcp/443 to machines with the 'role=nc-web' tag from any source."
  rule        = "FROM any TO tag \"role\" = \"nc-web\" ALLOW tcp (PORT 80 AND PORT 443)"
  enabled     = true
}

resource "triton_firewall_rule" "ssh" {
  description = "Allow ssh traffic on ports tcp/22 to machines with the 'role=nc-web' tag from any source."
  rule        = "FROM any TO tag \"role\" = \"nc-web\" ALLOW tcp PORT 22"
  enabled     = true
}

resource "triton_firewall_rule" "internal-tcp" {
  description = "Allow internal traffic on all ports between all machines with the 'project=nextcloud' tag."
  rule        = "FROM tag \"project\" = \"nextcloud\" TO tag \"project\" = \"nextcloud\" ALLOW tcp PORT all"
  enabled     = true
}

resource "triton_firewall_rule" "internal-udp" {
  description = "Allow internal traffic on all ports between all machines with the 'project=nextcloud' tag."
  rule        = "FROM tag \"project\" = \"nextcloud\" TO tag \"project\" = \"nextcloud\" ALLOW udp PORT all"
  enabled     = true
}
