# https://registry.terraform.io/providers/namecheap/namecheap/latest/docs
resource "namecheap_domain_records" "pub-solar" {
  domain = "pub.solar"
  mode = "OVERWRITE"
  email_type = "MX"

  record {
    hostname = "flora-6"
    type = "A"
    address = "80.71.153.210"
    ttl = 60
  }
  record {
    hostname = "auth"
    type = "A"
    address = "80.71.153.210"
    ttl = 60
  }
  record {
    hostname = "ci"
    type = "A"
    address = "80.71.153.210"
    ttl = 60
  }
  record {
    hostname = "git"
    type = "A"
    address = "80.71.153.210"
    ttl = 60
  }
  record {
    hostname = "stream"
    type = "A"
    address = "80.71.153.210"
    ttl = 60
  }
  record {
    hostname = "list"
    type = "A"
    address = "80.71.153.210"
    ttl = 60
  }
  record {
    hostname = "obs-portal"
    type = "A"
    address = "80.71.153.210"
    ttl = 60
  }
  record {
    hostname = "vpn"
    type = "A"
    address = "80.71.153.210"
    ttl = 60
  }
  record {
    hostname = "cache"
    type = "A"
    address = "95.217.225.160"
    ttl = 60
  }
  record {
    hostname = "factorio"
    type = "A"
    address = "80.244.242.2"
    ttl = 60
  }
  record {
    hostname = "collabora"
    type = "A"
    address = "80.71.153.210"
    ttl = 60
  }
  record {
    hostname = "@"
    type = "A"
    address = "80.71.153.210"
    ttl = 60
  }
  record {
    hostname = "chat"
    type = "A"
    address = "85.88.23.162"
    ttl = 60
  }
  record {
    hostname = "cloud"
    type = "A"
    address = "80.71.153.133"
    ttl = 60
  }
  record {
    hostname = "coturn"
    type = "A"
    address = "80.71.153.239"
    ttl = 60
  }
  record {
    hostname = "hpb"
    type = "A"
    address = "80.71.153.239"
    ttl = 60
  }
  record {
    hostname = "dimension"
    type = "A"
    address = "85.88.23.162"
    ttl = 60
  }
  record {
    hostname = "element"
    type = "A"
    address = "85.88.23.162"
    ttl = 60
  }
  record {
    hostname = "files"
    type = "A"
    address = "85.88.23.161"
    ttl = 60
  }
  record {
    hostname = "mastodon"
    type = "CNAME"
    address = "flora-6.pub.solar"
    ttl = 60
  }
  record {
    hostname = "matrix"
    type = "A"
    address = "85.88.23.162"
    ttl = 60
  }
  record {
    hostname = "www"
    type = "A"
    address = "80.71.153.210"
    ttl = 60
  }
  record {
    hostname = "@"
    type = "TXT"
    address = "v=spf1 include:spf.greenbaum.cloud a:list.pub.solar ~all"
  }
  record {
    hostname = "list"
    type = "TXT"
    address = "v=spf1 a:list.pub.solar ?all"
  }
  record {
    hostname = "_dmarc"
    type = "TXT"
    address = "v=DMARC1; p=reject;"
  }
  record {
    hostname = "_dmarc.list"
    type = "TXT"
    address = "v=DMARC1; p=reject;"
  }
  record {
    hostname = "@"
    type = "MX"
    address = "mx2.greenbaum.cloud."
    mx_pref = "0"
  }
  record {
    hostname = "list"
    type = "MX"
    address = "list.pub.solar"
    mx_pref = "0"
  }
  record {
    hostname = "nachtigall"
    type = "A"
    ttl = 60
    address = "138.201.80.102"
  }
  record {
    hostname = "nachtigall"
    type = "AAAA"
    ttl = 60
    address = "2a01:4f8:172:1c25::1"
  }
  # SRV records can only be changed via NameCheap Web UI
  # add comment
}
