{
  description = "vmtools flake for nixos images on triton";

  inputs.flake-utils.url = "github:numtide/flake-utils";
  inputs.nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";

  outputs = { self, flake-utils, nixpkgs }:
  flake-utils.lib.eachDefaultSystem (system: 
  let
    pkgs = import nixpkgs { inherit system; };

    triton-vmtools = import ./pkgs/triton-vmtools.nix { inherit pkgs; };
  in
  {

      # Internal utility package with shell function and env vars helper.
      # These get source'd in devshell.bash.extra when starting tritonshell
      packages = {
        triton-vmtools = triton-vmtools;
        default = triton-vmtools;
      };
    });
}
